# SpeexCallback Struct Reference
[Various definitions for Speex callbacks supported by the decoder.]

`#include <speex_callbacks.h>`

List of all members.

## Public Attributes

int | callback_id
speex_callback_func | func
void * | data
void * | reserved1
int | reserved2

## Detailed Description

Callback information

## Member Data Documentation

int SpeexCallback::callback_id

ID associated to the callback

speex_callback_func SpeexCallback::func

Callback handler function

void* SpeexCallback::data

Data that will be sent to the handler

void* SpeexCallback::reserved1

Reserved for future use

int SpeexCallback::reserved2

Reserved for future use

The documentation for this struct was generated from the following file:

- /home/rakkar/raknet-trunk/export/DependentExtensions/speex-1.2beta3/include/speex/speex_callbacks.h